/*
 * =====================================================================================
 *
 *       Filename: pierwiastki2. 
 *    Description:  Program wyznacza pierwiastki wielomiany stopnia 2.
 *
 * =====================================================================================
 */
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <float.h>

#define EPS FLT_EPSILON

int main()
{
   float a,b,c ;
   float x1, x2;
   float delta;
   
   printf("a="); scanf("%f",&a);
   printf("b="); scanf("%f",&b);
   printf("c="); scanf("%f",&c);
   
   delta = b*b - 4*a*c;

   if ( a == 0.0)
   {
      printf("To jest linia prosta a nie parabola.\n");
      if( b != 0.0 ) printf("Miejsce zerowe x=%f\n", -c/b);
      else printf("Brak miejsc zerowych\n"); 
      return 1;
   }
  

   if( fabs(delta) < EPS )
   {
      x1=-b/a/2;
      printf("Jedno miejsce zeorowe, x=%f\n", x1);
   } 
   else if(delta >= EPS)
   {
      delta=sqrt(delta);
      x1 = -(b-delta)/(2*a);   
      x2 = -(b+delta)/(2*a);   
      printf("Dwa miejsca zerowe, x1=%f, x2=%f\n",x1,x2);
   }
   else printf("Brak miejsc zerowych\n");

   return(0);
}
